[U-Boot] [PATCH v4 11/15] MAKEALL: adjust for Kconfig

Masahiro Yamada yamada.m at jp.panasonic.com
Tue Jul 22 17:24:12 CEST 2014


Use "make <board>_defconfig" instead of "make <board>_config".

Invoke tools/genboardscfg to generate boards.cfg when it is missing.

Signed-off-by: Masahiro Yamada <yamada.m at jp.panasonic.com>
---

Changes in v4:
  - Generate boards.cfg automatically if it is missing

Changes in v3: None
Changes in v2: None

 MAKEALL | 14 +++++++++++---
 1 file changed, 11 insertions(+), 3 deletions(-)

diff --git a/MAKEALL b/MAKEALL
index 9510982..3eb54d1 100755
--- a/MAKEALL
+++ b/MAKEALL
@@ -171,6 +171,14 @@ GNU_MAKE=$(scripts/show-gnu-make) || {
 # echo "Remaining arguments:"
 # for arg do echo '--> '"\`$arg'" ; done
 
+if [ ! -r boards.cfg ]; then
+	echo "Could not find boards.cfg"
+	tools/genboardscfg || {
+		echo "Failed to generate boards.cfg" >&2
+		exit 1
+	}
+fi
+
 FILTER="\$1 !~ /^#/"
 [ "$opt_a" ] && FILTER="${FILTER} && $opt_a"
 [ "$opt_c" ] && FILTER="${FILTER} && $opt_c"
@@ -512,9 +520,9 @@ get_target_location() {
 
 	set ${line}
 
-	CONFIG_NAME="${7%_config}"
+	CONFIG_NAME="${7%_defconfig}"
 
-	[ "${BOARD_NAME}" ] || BOARD_NAME="${7%_config}"
+	[ "${BOARD_NAME}" ] || BOARD_NAME="${7%_defconfig}"
 
 	if [ $# -gt 5 ]; then
 		if [ "$6" = "-" ] ; then
@@ -651,7 +659,7 @@ build_target() {
 	fi
 
 	${MAKE} distclean >/dev/null
-	${MAKE} -s ${target}_config
+	${MAKE} -s ${target}_defconfig
 
 	${MAKE} ${JOBS} ${CHECK} all \
 		>${LOG_DIR}/$target.MAKELOG 2> ${LOG_DIR}/$target.ERR
-- 
1.9.1



More information about the U-Boot mailing list